Prosíme přihlašte se nebo zaregistrujte.

Přihlašte se svým uživatelským jménem a heslem.

Zobrazit příspěvky

Tato sekce Vám umožňuje zobrazit všechny příspěvky tohoto uživatele. Prosím uvědomte si, že můžete vidět příspěvky pouze z oblastí Vám přístupných.


Příspěvky - DarkMeni

Stran: [1] 2
1
Nakonec jsem to udělal tak, že jsem zmenšil systémový oddíl, z volného místa udělal oddíl pro /home, a pak to celé zase přeinstaloval (nevytvářel jsem novou tabulku oddílu, jen nastavil mount-pointy existujícím oddílům), a tentokrát už systém normálně naběhnul.

K 3.: No já jsem prvních pár pokusů instalace nechával instalátor, aby se postaral o instalaci zavaděče, a stejně to nefungovalo. Ručně jsem ten grub zkusil nainstalovat asi až na 3. pokus.
Spíš mám pocit, že i když jsem vybral MBR tabulku, tak instalátor z nějakého důvodu vytvářel GPT (to by vysvětlovalo i tu hlášku, abych vytvořil 8MB oddíl s příznakem bios_grub).

Každopádně už to nějak funguje :D
Díky za návod jak příště správně instalovat grub.

2
Jj, live verze běží normálně.

Zkoušel jsem přeinstalovat grub2 ručně v terminálu:
Kód: [Vybrat]
# mount /dev/sda1 /mnt
# grub-install --root-directory=/mnt --recheck /dev/sda
Ale to nepomohlo

Nakonec jsem zkusil znovu přeinstalovat s volbou "Vymazat disk", která vytvořila jen jeden velký oddíl na celém disku a 6 GB swap oddíl, a to už nabootuje. Ale chtěl bych mít oddělený oddíl pro systém a pro domácí složku (/home).

Buď tedy můžu nabootovat zase z live verze, abych mohl unmoutnout /dev/sda1, zmenšit ho, a vytvořit další oddíl pro /home... Nebo co jsem teda mohl dělat blbě že to při manuálním vytváření oddílu pak nebootovalo? Pamatuju si, že mi to vždy po vytvoření oddílu vypsalo hlášku, ať se vrátím a vytvořím ještě jeden 8MB nenaformátovaný oddíl s příznakem "bios_grub", ale i když jsem to udělal a dal "pokračovat", tak se ta hláška stejně zase objevila...

3
Ahoj, chtěl bych na noťas nainstalovat UbuntuDDE, ale po dokončení instalace a restartu nenaběhne žádný zavaděč, akorát to chvíli zkouší najít PXE boot na síti a pak to oznámí že to nenašlo žádný systém.

Zkoušel jsem i BootRepairDisk, ten navrhnul odebrání a novou instalaci grub2, ale ani to nepomohlo. Ve výsledném logu bylo, že to na sda1 našlo Ubuntu 20.04, ale po restartu opět žádný systém.

Noťas plně nepodporuje UEFI, proto to chci nainstalovat jako Legacy boot s MBR tabulkou:
/dev/sda:
/dev/sda1: ext4, mount point: / (40 GiB) [boot]
/dev/sda2: ext4, mount point: /home (160 GiB)

Nevidím tam žádný problém, proč by to nemělo fungovat.

Zkoušel jsem také instalaci na GPT tabulku s tím 512MB oddílem ve FAT formátu pro EFI a zapnutým UEFI Bootem v BIOSu, ale systém stejně nenabíhal.

Předtím tam byl Deepin OS, také přes Legacy boot, a ten normálně fungoval, ale už si nepamatuju, jestli jsem při instalaci musel dělat něco speciálního, nebo to fungovalo hned po instalaci.

Děkuji za rady

4
Tak to co jsem si představoval, byl nakonec Linux Live Kit, ale s přidaným modulem ovladače grafiky (via_chrome9) už do samotného live kitu. Díky jednomu Issue jsem zjistil, že do initrd.img můžu manuálně vložit některé moduly přidáním příkazu do initramfs/initramfs_create:
Kód: [Vybrat]
copy_including_deps /$LMK/kernel/drivers/ ...cesta k modulu(rozbalí se hned při bootu, a ne až po cca 20s kdy se začne rozbalovat ten velký squashfs soubor)

A taky jsem upravil soubor build - u příkazu mksquashf jsem místo xf komprimace použil lzo a vypnul --always-use-fragments. Výsledný zkomprimovaný soubor je sice větší (s lzo 1,3 GB, s xf by měl asi 800 MB), ale zato načítání je o dost rychlejší.

Zkoušel jsem taky nainstalovat normální (nekomprimovaný) systém na USB 3.0 flashku (R: 90MB/s, W: 15 MB/s | ale sekvenční) s tím, že /boot, /var a /tmp byly na tom malém SSD, ale celkem dost se to sekalo. Ta USB flashka má přeci jen nějaký reset time nebo co, kdy si potřebuje odpočinout, takže se na OS moc nehodí.

 ??? jak to označím jako vyřešené?

5
Tak jde spíš o to, že těch terminálů máme v práci kolem stovky a budou se nahrazovat, tak mi příjde škoda je všechny vyhodit, když by se z toho ještě možná dalo udělat něco použitelného, pokud se na to dá nějaký otevřenější systém, než ten Igel OS 10 co tam byl původně.

Má to USB 2.0 i 3.0, ale vypadá to, že bootovat to umí jen z 2.0. Ale když už nabootuje, tak na tom 3.0 čte z flashky klidně 100 MB/s. Takže jedině dát /boot s GRUBem na to malý SSD (a možná ještě /tmp a /var taky) a zbytek systému na flashku, ale nevím jestli chci pro každý terminál kupovat ještě USB 3.0 flashku, asi spíš moc ne.

RAM to má 2 GB DDR3.
Po načtení to v tom Xfce běhá překvapivě celkem normálně.

Každopádně, stejně bych si rád ještě chvíli zkusil hrát s tím squashfs a overlay, jen nevím kam vytvořit script, který by to při bootování moutnul, a systém by pokračoval v načítání z toho komprimovaného souborového systému. Do /etc/fstab? Ale z toho se čte až po načtení systemd ne? Ideálně kdyby se už i systemd mohl načítat zkomprimovaný. Což ten Linux Live Kit nějak umí. A asi mám trochu bordel v tom, v jakém pořadí se v linuxu co načítá :D

Btw on i ten AntiX a Q4OS mají minimální požadavky 3 GB místa na disku :D

6
Ahoj, nevíte o nějakém článku nebo návodu jak udělat částečně komprimovaný systém?
Na tenkém klientu mám k dispozici jen 2 GB SSD flash paměti, a základní instalace Debianu 10 zabere kolem 1 GB. Po doinstalování Xfce4 je to na 1,9 GB a zůstane volných jen 100 MB. Zároveň je ale potřeba, aby jádro a moduly byly nekomprimované.

Zkoušel jsem Linux Live Kit (https://www.linux-live.org), což zabralo celkem i s Xfce4 jen 300 MB, ale načítání systému po připojení dvou monitorů bylo dost nestabilní. Občas se načetl, občas zůstal viset u zprávy "Reached target Sound Card", před "Created slice system-systemd\x2dblacklight.slice", která se zobrazila, když měl zrovna náladu se úspěšně načíst až do konce.

U normální instalace se zatím nestalo, že by se systém při načítání takle zasekl.
Šlo by teda nechat úplný minimum (asi /boot a /lib/modules) pro načtení základního systému nekomprimovaný a všechno ostatní pak načítat z nějakého squashfs, nebo overlayfs, nebo něčeho takového?

7
Hardware / DRM pro VIA VX900 grafiku
« kdy: 28 Červen 2021, 14:05:40 »
Ahoj, máte někdo ještě někde grafiku od VIA a řešil jste zprovoznění na novějších linuxech?
V práci máme stovky starších terminálů s touto grafikou, které se budou nahrazovat novějšími, a je celkem škoda je jen tak vyhodit. Šli by použít třeba místo noťasů na homeoffice atd.

Momentálně mají nainstalovaný systém Igel OS 10, kde je podpora grafiky v pohodě a funguje i zobrazení na dvou monitorech. Ale tento systém mi příjde hodně omezený, prostě nedává možnost nainstalovat nic vlastního, kromě jejich aplikací. Je tam kernel verze 4.19.65 a ovladač grafiky via_chrome9, což nechápu jak se jim tam podařilo dostat, když poslední properiterní ovladač pro VIA jsem našel pro verzi kernelu 3.4.0-3.x.x.

Zkoušel jsem tento ovladač (via_chrome9) zkompilovat na Debianu 10 s kernelem 4.19.0-17-amd64, ale bylo tam už moc problémů, a když to řeklo, že struktura drm_driver neobsahuje položku suspend, resume atd., tak jsem to vzdal, protože by to znamenalo projít dokumentaci starého i nového kernelu, abych zjistil jak to patchnout...

Zkusil jsem tedy neproperitární ovladač openchrome, ale obraz funguje jen když je monitor připojený do DVI-I (s analogovým výstupem) a je použitá redukce na VGA, takže si ovladač myslí, že je monitor připojený do VGA konektoru (který tam fyzicky není, ale takle to tvrdí xrandr). Po připojení druhého monitoru se objeví na obou monitorech "Input not supported".
Po zkompilování xf86-video-openchrome z freedekstop.org se částečně zprovozní dual monitor funkce, ale na jednom monitoru je celou dobu černá obrazovka a ten monitor nejde nijak aktivovat, a na druhém jsou rozlité barvy, a xrandr tvrdí že je nastavené maximální rozlišení cca 1440 x něco, přitom ten monitor má 1680 x 1050. Po odpojení druhého monitoru, a nechání jen toho v DVI-I (VGA) to zase funguje normálně, ale cílem je zprovoznit zobrazení na obou monitorech.
Každopádně, ve /var/log/Xorg.0.log je řádek:

CHROME(0): [drm] Failed to open DRM device for pci:0000:01:00.0: No such file or directory

a po vypsání "dmesg | grep -e agp -e drm" to nic takového, jako je v příkladě na https://www.freedesktop.org/wiki/Openchrome/Troubleshooting/ tedy že [drm] Initialized via 2.11.1 20070202 on minor 0 nevypíše.
Takže si myslím, že hlavní problém je ten, že žádná současně dostupná distribuce linuxu s kernelem > 4.5 už nemá DRM pro tyto grafiky. Dalo by se to tam nějak zpětně doinstalovat? Nebo rozjet třeba Xubuntu 20.04 na kernelu 3.5?

Našel jsem ještě toto: https://cgit.freedesktop.org/openchrome/drm-openchrome/tree/drivers/gpu/drm/openchrome?h=drm-next-4.19
Ale nevím co s tím. Podle všeho to vypadá jako upravený kernel linuxu, který má DRM pro VIA grafiky. Ale jak bych potom z toho udělal nějaký debian/ubuntu/xubuntu, prostě cokoliv s možností instalovat balíky přes apt?
Případně šlo by z toho zkompilovat jen obsah z "drivers/gpu/drm/openchrome", nebo je potřeba ještě něco?

I když teď koukám, že standardní kernel 4.19 má pořád DRM pro via (https://git.kernel.org/pub/scm/linux/kernel/git/stable/linux.git/tree/drivers/gpu/drm/via?h=linux-4.19.y), tak nevím, proč se nepoužije.

8
Obecná podpora / [Kubuntu] Přestává fungovat pulseaudio
« kdy: 26 Březen 2021, 15:39:38 »
Zdravím, po několika minutách od zapnutí PC vždy přestane fungovat pulseaudio. Nejde změnit nastavení hlasitosti a později zmizí i zařízení a píše to "No output or input devices found". Zároveň nejdou přehrávat videa na youtube, myslím že to má souvislost, protože než zamrzne ten ovladač zvuku, tak youtube funguje.

Nevíte někdo jak to opravit, případně které informace o PC a kterými příkazy v terminálu mám vyjet?

9
Obecná podpora / Lepší sériová konzole
« kdy: 04 Květen 2020, 17:59:30 »
Ahoj, neznáte někdo lepší sériovou konzoli než screen?

Hledám něco jako Serial monitor v Arduino IDE, ale abych kvůli tomu nemusel pokaždé pouštět celé Arduino IDE, které se mi načítá tak minutu.

Tedy aby tam šlo nejdřív napsat příkaz, případně text při překliku opravit, a až pak poslat entrem - aby to neposílalo znak hned jak ho napíšu.
A také by bylo fajn, kdyby to umělo např. při stisknutí šipky nahoru předvyplnit předchozí příkazy.

Děkuju za rady.

10
Obecná podpora / Re:wine32 pod 64 bit kubuntu
« kdy: 14 Prosinec 2019, 17:19:52 »
Po přeinstalování se to teď nainstalovalo i s wine32:i386 úplně v pohodě, tak nevím co s tím bylo :D

Každopádně dík za rady.

11
Obecná podpora / Re:wine32 pod 64 bit kubuntu
« kdy: 12 Prosinec 2019, 21:01:00 »
Ano, všechny 4 zdroje jsou zapnuté.
Kód: [Vybrat]
sudo apt purge wine*Odebralo jen wine-stable a wine64, vypadá to že tam nic jiného z wine není nainstalovaný.

autoclean, clean a autoremove pak už nenašlo nic k odebrání.

Ten příkaz s vyjmenovanými balíky už neřval kvůli libwine:i386, jelikož tam bylo vyjmenované, ale kvůli libpulse:i386 nebo tak nějak, což je závislost od libwine:i386.

A nakonec aptitude navrhuje takové řešení:
Kód: [Vybrat]
0 packages upgraded, 171 newly installed, 0 to remove and 7 not upgraded.
Need to get 107 MB of archives. After unpacking 804 MB will be used.
The following packages have unmet dependencies:
 libpulse0 : Porušuje: libpulse0:i386 (!= 1:11.1-1ubuntu7.5) but 1:11.1-1ubuntu7.4 is to be installed
 libpulse0:i386 : Porušuje: libpulse0 (!= 1:11.1-1ubuntu7.4) but 1:11.1-1ubuntu7.5 is installed
open: 28; closed: 311; defer: 20; conflict: 32
The following actions will resolve these dependencies:

     Keep the following packages at their current version: 
1)     libasound2-plugins:i386 [Not Installed]             
2)     libpulse0:i386 [Not Installed]                       
3)     libsdl2-2.0-0:i386 [Not Installed]                   
4)     wine-stable [Not Installed]                         
5)     wine-stable-i386:i386 [Not Installed]               

     Leave the following dependencies unresolved:           
6)     libopenal1:i386 recommends libpulse0:i386 (>= 0.99.1)
7)     wine-stable-i386:i386 recommends libsdl2-2.0-0:i386 


Accept this solution? [Y/n/q/?]
Ale ta poslední poznámka že 2 balíky nakonec stejně nevyřeší se mi moc nelíbí, a taky nevím jestli to potom půjde zase všechno odinstalovat kdyby něco. Asi přeinstaluju kubuntu, a pak místo install wine64 napíšu install wine-stable.

Btw. asi se mu nelíbí to přidaní architektury i386, protože teď už ani nechce nainstalovat normální wine-stable, když vidí obě verze:
Kód: [Vybrat]
$ sudo apt install wine-stable
Načítají se seznamy balíků… Hotovo
Vytváří se strom závislostí       
Načítají se stavové informace… Hotovo
Některé balíky nemohly být instalovány. To může znamenat, že požadujete
nemožnou situaci, nebo, pokud používáte nestabilní distribuci, že
vyžadované balíky ještě nebyly vytvořeny nebo přesunuty z Příchozí fronty.
Následující informace vám mohou pomoci vyřešit tuto situaci:

Následující balíky mají nesplněné závislosti:
 wine-stable : Závisí na: wine-stable-amd64 (= 4.0.3~bionic) ale nebude se instalovat
               Závisí na: wine-stable-i386 (= 4.0.3~bionic)
E: Nelze opravit problémy, některé balíky držíte v porouchaném stavu.


12
Obecná podpora / Re:wine32 pod 64 bit kubuntu
« kdy: 12 Prosinec 2019, 16:16:59 »
Architektura i386 se přidá:
Kód: [Vybrat]
$ dpkg --print-foreign-architectures
i386

Ale wine32 stále nejde nainstalovat:
Kód: [Vybrat]
$ sudo apt-get install wine-stable wine64 wine32:i386 winetricks
Načítají se seznamy balíků… Hotovo
Vytváří se strom závislostí       
Načítají se stavové informace… Hotovo
wine-stable je již nejnovější verze (3.0-1ubuntu1).
wine64 je již nejnovější verze (3.0-1ubuntu1).
wine64 nastaven jako instalovaný ručně.
Některé balíky nemohly být instalovány. To může znamenat, že požadujete
nemožnou situaci, nebo, pokud používáte nestabilní distribuci, že
vyžadované balíky ještě nebyly vytvořeny nebo přesunuty z Příchozí fronty.
Následující informace vám mohou pomoci vyřešit tuto situaci:

Následující balíky mají nesplněné závislosti:
 wine32:i386 : Závisí na: libwine:i386 (= 3.0-1ubuntu1) ale nebude se instalovat
E: Nelze opravit problémy, některé balíky držíte v porouchaném stavu.

Co znamená bonako? Přidával jsem zdroj na winehq, ale ten jsem pak deaktivoval v nastavení zdrojů balíků.
A kubuntu jsem nainstaloval včera, mezitím jsem akorát nainstaloval ve správci ovladačů nvidii-340 a lm-sensors a pustil aktualizaci, jinak je to čistá instalace Kubuntu 18.04.3 LTS.

A trochu laboroval s tím wine, teď mě napadá jestli nebude problém že jsem to poprvý instaloval jako "sudo apt install wine64", a stáhlo to jen pár balíků kolem 20MB, ale pak když jsem odebral "wine64" a nainstaloval "wine-stable" tak se zas nainstaloval jen "wine64" a "wine-stable"

13
Obecná podpora / wine32 pod 64 bit kubuntu
« kdy: 12 Prosinec 2019, 13:30:45 »
Zdravím, jde vám spustit 32 bitová exe aplikace pod 64 bitovým linuxem?

Mně šel nainstalovat jen balík wine64, a po spuštění winecfg to psalo že chybí wine32 a ať to nainstaluju, ale ten už nainstalovat nešel. A po přidání i386 architektury příkazem
Kód: [Vybrat]
dpkg --add-architecture i386 to ten wine32 už našlo, ale napsalo to tohle:
Kód: [Vybrat]
Načítají se seznamy balíků… Hotovo
Vytváří se strom závislostí       
Načítají se stavové informace… Hotovo
Některé balíky nemohly být instalovány. To může znamenat, že požadujete
nemožnou situaci, nebo, pokud používáte nestabilní distribuci, že
vyžadované balíky ještě nebyly vytvořeny nebo přesunuty z Příchozí fronty.
Následující informace vám mohou pomoci vyřešit tuto situaci:

Následující balíky mají nesplněné závislosti:
 wine32:i386 : Závisí na: libwine:i386 (= 3.0-1ubuntu1) ale nebude se instalovat
E: Nelze opravit problémy, některé balíky držíte v porouchaném stavu.

Při pokusu o manuální instalaci toho libwine:i386 balíku to zase napsalo chybějící závislost
Kód: [Vybrat]
Načítají se seznamy balíků… Hotovo
Vytváří se strom závislostí       
Načítají se stavové informace… Hotovo
Některé balíky nemohly být instalovány. To může znamenat, že požadujete
nemožnou situaci, nebo, pokud používáte nestabilní distribuci, že
vyžadované balíky ještě nebyly vytvořeny nebo přesunuty z Příchozí fronty.
Následující informace vám mohou pomoci vyřešit tuto situaci:

Následující balíky mají nesplněné závislosti:
 libwine:i386 : Závisí na: libpulse0:i386 (>= 0.99.1) ale nebude se instalovat
                Doporučuje: libasound2-plugins:i386 ale nebude se instalovat
E: Nelze opravit problémy, některé balíky držíte v porouchaném stavu.

Tak mi příjde že bych takle musel nainstalovat manuálně pomalu všechny balíky systému s architekturou i386


Tak jsem zkusil WINEPREFIX=prefix32 a WINEARCH=win32, ale ta 32 bitová aplikace pořád nejde spustit. Předtím to psalo že EXE soubor je ve špatném formátu (asi protože to zkoušel spustit jako 64 bit) a teď po vytvoření .wine s tím 32 prefixem to píše
Kód: [Vybrat]
$ wine motherboard_utility_gbttools_gbt_et5.exe
it looks like wine32 is missing, you should install it.
multiarch needs to be enabled first.  as root, please
execute "dpkg --add-architecture i386 && apt-get update &&
apt-get install wine32"
wine: '/home/parrot/.wine' is a 32-bit installation, it cannot support 64-bit applications.

Tak nevím co s tím je ???

14
Obecná podpora / Nesprávné teploty od lm-sensors
« kdy: 11 Listopad 2019, 19:36:14 »
Zdravím, rád bych si zobrazil teploty (cpu, severního můstku atd.) ale mám pocit že mi příkaz "sensors" vypisuje nesprávné.

Kód: [Vybrat]
it8718-isa-0290
Adapter: ISA adapter
in0:          +1.22 V  (min =  +0.00 V, max =  +4.08 V)
in1:          +1.81 V  (min =  +0.00 V, max =  +4.08 V)
in2:          +3.44 V  (min =  +0.00 V, max =  +4.08 V)
+5V:          +2.98 V  (min =  +0.00 V, max =  +4.08 V)
in4:          +0.00 V  (min =  +0.00 V, max =  +4.08 V)  ALARM
in5:          +0.00 V  (min =  +0.00 V, max =  +4.08 V)  ALARM
in6:          +1.26 V  (min =  +0.00 V, max =  +4.08 V)
in7:          +3.04 V  (min =  +0.00 V, max =  +4.08 V)
Vbat:         +4.08 V 
fan1:         975 RPM  (min =    0 RPM)
fan2:           0 RPM  (min =    0 RPM)
fan3:           0 RPM  (min =    0 RPM)
temp1:        -55.0°C  (low  = +127.0°C, high = +127.0°C)  sensor = thermistor
temp2:        +37.0°C  (low  = +127.0°C, high = +127.0°C)  sensor = thermal diode
temp3:         -1.0°C  (low  = +127.0°C, high = +127.0°C)  sensor = thermistor
cpu0_vid:    +1.313 V
intrusion0:  ALARM

nouveau-pci-0100
Adapter: PCI adapter
temp1:        +58.0°C  (high = +95.0°C, hyst =  +3.0°C)
                       (crit = +130.0°C, hyst =  +2.0°C)
                       (emerg = +135.0°C, hyst =  +5.0°C)

Hlavně když si zobrazím teplotu CPU v biosu, tak ten říká 46°C, což tady není ani jedna z teplot, a těch -55°C bych možná věřil (až na to mínus) že má severní most, je celkem dost horký. Ale stejně bych radši kdyby to ukazovalo ty teploty víc důvěryhodně a já si nemusel nic domýšlet. Nesetkal se s tím někdo? Nestačí jen nainstalovat nějaký další balíček?

Díky za rady

15
Zdravím, nejde mi nainstalovat 64 bit Ubuntu na Dell Vostro 1000 s procesorem Mobile AMD Sempron 3600+

Při spouštění to vypisuje chyby jako ACPI Error atd, ale stejné chyby to vypisuje i u 32 bit verze Xubuntu a ta se normálně spustí.

Ve výsledku bych chtěl nainstalovat Xubuntu kvůli Xfce prostředí (je míň náročné), a 64 bitovou verzi OS kvůli skypu.

Nevíte nědko kde by mohl být problém? Jestli by to šlo rozchodit nějakou kombinací příkazů při bootování jako acpi=off apod.?
Zkoušel jsem nomodeset s noapic a acpi=off, ale to způsobovalo Kernel panic.

Zkoušel jsem instalátory Xubuntu i Ubuntu vytvořené přes rufus i unebootin:
  • 64 bit Xubuntu přes unebootin se spustil do Try Xubuntu, ale nešel spustit instalátor, ani žádný příkaz začínající sudo, vždy se zasekla konzole. U Install Xubuntu se to zaseklo někde u "Xubuntu splash screen"

  • 64 bit Xubuntu přes rufus se zasekl někde při "Xubuntu splash screen", nevím jak zjistit u čeho přesně.

  • 64 bit Ubuntu přes rufus vypíše ty ACPI chyby, potom je chvíli vidět "Ubuntu splash screen", a potom se zobrazí zase konzole s těma chybama a pod tím BusyBox a (initramfs) kam můžu psát příkazy, ale grafické prostředí se už nenačte.

16
Zdravim, na starším ntb mám xubuntu a chtěl sem si nainstalovat minitube, ale video vždy jen problikne a pak zůstane jen černé pozadí se zvukem. Po spuštění z terminálu to vypíše:
Error disabling idle sleep "The name org.freedesktop.ScreenSaver was not provided by any .service files"
A co jsem hledal tak xfce prostředí nemá nic, co by takovou službu vyvolalo (btw ani pořádně nevím co si pod pojmem služba v PC představit) ale řekl bych že stačí vytvořit službu která by se tak jmenovala, i když by vlastně nic nedělala ne?

Ten program se chce asi jen ujistit že neztmavla obrazovka, takže asi potřebuju službu, která by ho uklidnila, že ne. Nevíte někdo jak na to? Díky.

Edit: Tak už nic, zjistil jsem že to probliknutí videa dělá i vlc (kde se to po nastavení výstupu do X11 vyřešilo), takže to s tou službou nemá nic společného.

17
Multimédia / Neplynulé animace
« kdy: 11 Červenec 2012, 19:41:10 »
Zdravím, měl někdo podobnej problém a vyřešil ho?
Některé animace u Kubuntu u mě nejsou plynulé (někdy se sekná přesouvání okna, nebo při změně okna [ctrl+tab] a nebo při hovoru přes skype po zapnutí kamery není vidět obraz, ale to, co je jako za tím oknem - takže 100% průhlednost). Grafárnu si myslim mám takovou, která by ty animace měla zvládat (Sapphire Radeon HD 4650), s ovladačem fglrx.
Ví někdo, čím to je?
Hlavně by sem rád vyřešil ten problém s videem u skype.

18
Pracovní prostředí / Re:Kubuntu - změna ikonek složek
« kdy: 28 Červen 2012, 12:33:31 »
Díky za radu, ale nějak mi to nejde změnit. (ten postup sem opakoval asi 20x) Možná mám špatně nainstalovanej Kubuntu 12.04 - už mi z nějakýho důvodu přestala fungovat průhlednost u menu, lišty a dekoraci oken, ale dřív normálně fungovala.

Že jestli ten problém (s ikonkama, průhledností a zamrzáním (rozmrzne až po restartu) u wine) není třeba tím, že sem si nainstaloval další jazyk (češtinu) a neodinstaloval ty ostatní?

Měl někdo podobnej problém?

19
Pracovní prostředí / Kubuntu - změna ikonek složek
« kdy: 26 Červen 2012, 15:53:43 »
Zdravím, změnil jsem si ikonky na "Crystal project" (přes Menu -> Nastavení systému -> Vzhled aplikací :: Ikony > Instalovat soubor s motivem), sice se mi některý změnily, ale ty, co jsem chtěl aby se změnily (ikonky složek), zůstaly stejné (oxygen). Zkusil jsem pár dalších ikonkových motivů, ale pokaždý u složek zůstal motiv oxygenu. Jak se to teda dá změnit i u složek?

20
Takže si zase s některýma věcma nevim rady:
(Jsou to vlastně 3 otázky)

Někdy (U VLC Playerovskýho titulku při přehrávání toho souboru, nebo u instalace windowsáckýho programu přes Wine...) se mi některé symboly špatně zobrazují, buď jako otazníky nebo jako divný znaky (Ŕëĺń˙Íîâč).
Asi to bude chybějící podporou nějakého kódování, nebo něčím jiným - dá se to nějak opravit aby se to zobrazilo správně?
Myslel jsem že to umí ...-dbg balíky (debugging symbols), ale prej ne.

A u grafiky jsem měl "Není známo", tak jsem zkusil nainstalovat fglrx, a čekal jsem že mi to už tu grafiku rozpozná správně, ale teď tam (System settings -> Details [Graphics]) mám "VESA:" místo "ATI Radeon HD 4650". Sice mám pocit, že po instalaci tohoto ovladače musí grafárna míň makat - míň topí, ale asi to mám pořád špatně nainstalovaný (jinak by tam místo "VESA:" byl název grafiky, ne?).

A poslední věc, kterou se mi zatím taky nepodařilo nikde najít: Můžu pro systém vydávat nějakou složku jako internetovou adresu (http://neco.nekde.com/nazevsouboru.tar.gz)?
Většina programů se teda offline nainstalovat dala, ale flashplugin by i po instalaci ze staženého balíku pořád něco stahoval - a to se mu nepodaří, protože komp není připojenej k netu. Takže by sem to stáhnul tady (kde připojení mám), dal do nějaké složky a přemluvil systém, aby si myslel že ta adresa míří do té složky - je to nějak možný?

21
Jo, to sem potřeboval, díky

22
Už ani nevim, ale myslim že sem našel odkaz někde tady z fóra - ale mluvili tam asi ještě o Ubuntu 10.
U 1.0 nikde nevidim spouštěč pro Windows. (A taky mi příjde divný že zazipovaný 0.9.42 měl asi 15MB a 1.0 má sotva 130kB)

Nakonec sem si řekl že možná bude jednodušší se naučit příkazy pro Terminál a vytvořit si vlastní instalátor, a postahovat závislosti, které ještě po instalaci Ubuntu 12.04 tam ještě nejsou.

Zatím jedinej problem, na kterej sem u tohoto způsobu (instalace přes "sudo dpkg -i balik.deb") narazil, byl zjištění správného pořadí pro Wine1.4:
wine1.4 má závislost wine1.4-i386
wine1.4-i386 má závislost wine1.4-common (a taky bitfmt-support, libmpg123-0, libopenal1..., ale ty nejsou takto zacyklený)
wine1.4-common má závislost wine1.4
Existuje pro toto jiné a lepší řešení než nainstalovat balíky klidně v náhodném pořadí s ignorováním závislostí, a až pak je zkonfigurovat?

Trochu mimo téma, spíš k terminálu:
Existuje u Ubuntu přípona která automaticky po dvojkliku spustí Terminál jako u Windowsu (.cmd | .bat)?
Jo, a umí Terminál čekat nebo odposlouchávat události?
Třeba: Instaluju... (a měnit počet teček - aby to vypadalo dynamicky)
Viděl sem ho měnit počet % dokončení stáhování, čekat na potvrzení odinstalace programu, zeptat se na heslo pro sudo... takže to asi umí - ale jak moc je to složitý?

23
No nemám tam složku bin, možná mam jinou verzi (0.92.4.1) než o který mluvíš, ale sou tam jen složky:
doc/
linux/
 - keryx
 - keryx.conf
locale/
pixmaps/
plugins/
source/
 - ...
 - keryx.py (Jo, máš pravdu, ale u toho zase selže import wxmodulu)
win32/
 - keryx.conf
 - keryx.exe

Takže mám asi špatnou verzi, nebo tam nemůžu najít ten deb balíček. Kterou verzi si mám teda stáhnout?

24
Ani po chvíli to neodšedne, ale díky za rady, Gdebi sice nemam nebo nevim kde je - Dash mi ho nenajde a apt-get se asi pokouší připojovat k netu nebo co - nakonec ho stejně nenajde a vyhodí něco jako "E: Balík nebyl nalezen", takže nakonec to uměl vyřešit dpkg. Nebo uměl, nevim jestli má být PyPar2 (kterej to chtělo pro otevření souboru "keryx") program nebo jen nějaká knihovna - žádný nový spouštěč se na liště neobjevil.

Jinak v keryx/doc/Install je (jestli sem to dobře pochopil), že pro Linux stačí zadat jen "./keryx" nebo "python keryx.py", ale ani jedno mi nešlo. (soubor keryx.py tam (keryx/linux/) ani neni)

25
Ještě jenom jak se dá nainstalovat balík .deb offline? Po dvojkliku na něj se otevře Centrum softwaru pro Ubuntu s popisem balíku, ale talčítko "Install" je neklikatelný. Dá se to obejít nějakým příkazem v terminále?

Tak to sem nakonec nějak vyřešil terminálem s příkazem "sudo dpkg -i pypar2.deb"
- Vlastně po mě chtěl Keryx 0.9.42 pro otevření ten PyPar2 (keryx/linux/keryx(dvojklik) -> Cloud not diplay...), ale ani po jeho instalaci nejde otevřít, může mi někdo, kdo s keryxem už neco dělal, poradit jak ho mám v Ubuntu otevřít? (ve Win7 je to jednoduchý - keryx/win32/keryx.exe a už běží)

Stran: [1] 2